<?php
$loader = $this->registry->get('load');
$loader->controller('listaescolar/listaescolar_produtos');

class ControllerListaEscolarListaEscolarProdutosEditar extends ControllerListaEscolarListaEscolarProdutos {

    function index() {
        /////Troca ou adiciona produto da lista por outro similar do mesmo subgrupo
        /////Parametro tipoEdicao=troca -> Para troca
        /////Parametro tipoEdicao=add -> Para Adicionar
        parent::index();

        $this->load->model( 'catalog/product' );
        $this->load->dmodel( 'listaescolar/listaescolar' );
        if (!isset($this->session->data['produtos_Lista'])) {
            $this->redirect( $this->url->link( 'listaescolar/listaescolar', '', 'SSL' ) );
        }
        if (!isset($this->request->get['tipoEdicao']) && !isset($this->request->get['product_id'])){
            $this->session->data['error'] =  $this->language->get('error_edicao');
            $this->redirect( $this->url->link( 'listaescolar/listaescolar_produtos', '', 'SSL' ) );
        }

        $this->data['product_info'] = $this->model_catalog_product->getProduct($this->request->get['product_id']);//Usar da sessão?
        $this->data['tipoEdicao'] = $this->request->get['tipo_edicao'];


        $categorias = 19;//$this->dmodel_listaescolar_listaescolar->getCategoriasProduto($this->request->get['product_id']);



        $produtos_similares = $this->dmodel_listaescolar_listaescolar->getProdutosSimilares($category_id);

        $this->language->load('product/listaescolar_produtos_editar');
        $this->load->helper('ftr_geral');

        //parent::index();
		//if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/listaescolar/listaescolar_produtos_editar.twig')) {
		//	$this->template = $this->config->get('config_template') . '/template/listaescolar/listaescolar_produtos_editar.twig';
		//} else {
		//	$this->template = 'default/template/listaescolar/listaescolar_produtos_editar.twig';
		//}

        $this->template = parent::getTemplate('listaescolar/listaescolar_produtos_editar.twig');

        $this->response->setOutput($this->render());
    }



}